diff -ur wireless_tools.25/iwconfig.c wireless_tools.25-ct/iwconfig.c
--- wireless_tools.25/iwconfig.c	Sat Aug 17 00:10:42 2002
+++ wireless_tools.25-ct/iwconfig.c	Tue Oct  8 12:27:48 2002
@@ -13,6 +13,12 @@
 
 #include "iwlib.h"		/* Header */
 
+FILE *liste;
+
+char ap_name[100];
+char hw_addr[17];
+int foundap = 0;
+
 /************************* MISC SUBROUTINES **************************/
 
 /*------------------------------------------------------------------*/
@@ -284,11 +290,39 @@
       tokens +=6;
 
       /* Oups ! No Access Point in Ad-Hoc mode */
-      if((info->has_mode) && (info->mode == IW_MODE_ADHOC))
-	printf("Cell:");
+      if((info->has_mode) && (info->mode == IW_MODE_ADHOC)) 
+      {
+	  printf("Cell:");
+	  printf(" %s  ", iw_pr_ether(buffer, info->ap_addr.sa_data));
+      }
       else
-	printf("Access Point:");
-      printf(" %s  ", iw_pr_ether(buffer, info->ap_addr.sa_data));
+      {
+	  printf("Access Point:");
+
+	  liste = fopen("/etc/ap.liste","r");
+
+	  if(liste) {
+
+	      while ( fscanf(liste,"%s %s", &hw_addr, &ap_name) != EOF ) 
+	      {
+
+		  if(strcasecmp(hw_addr, iw_pr_ether(buffer, info->ap_addr.sa_data)) == 0) 
+		  {
+		      printf(" %s  ",ap_name);
+		      foundap = 1;
+		      break;
+		  }
+	      }
+
+	      if(foundap == 0 )
+		  printf(" %s  ", iw_pr_ether(buffer, info->ap_addr.sa_data));
+	      
+	      fclose(liste);
+
+	  } else {
+	      printf(" %s  ", iw_pr_ether(buffer, info->ap_addr.sa_data)); 
+	  }
+      }
     }
 
   /* Display the currently used/set bit-rate */
